﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace XamGridNullException
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            TestGrid.AutoGenerateColumns = true;
            TestGrid.EditingSettings.AllowEditing = EditingType.Row;
            TestGrid.RowExitingEditMode += new EventHandler<ExitEditingRowEventArgs>(TestGrid_RowExitingEditMode);
        }

        public class DataRow
        {
            public string A {get;set;}
            public string B {get;set;}
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            TestGrid.ItemsSource = new DataRow[] { new DataRow { A = "1", B = "2" }, new DataRow { A = "1", B = "2" }, new DataRow { A = "1", B = "2" } };
        }

        void TestGrid_RowExitingEditMode(object sender, ExitEditingRowEventArgs e)
        {
            e.Cancel = true;
        }
    }
}
